# In all environments, the following files are loaded if they exist,
# the latter taking precedence over the former:
#
#  * .env                contains default values for the environment variables needed by the app
#  * .env.local          uncommitted file with local overrides
#  * .env.$APP_ENV       committed environment-specific defaults
#  * .env.$APP_ENV.local uncommitted environment-specific overrides
#
# Real environment variables win over .env files.
#
# DO NOT DEFINE PRODUCTION SECRETS IN THIS FILE NOR IN ANY OTHER COMMITTED FILES.
# https://symfony.com/doc/current/configuration/secrets.html
#
# Run "composer dump-env prod" to compile .env files for production use (requires symfony/flex >=1.2).
# https://symfony.com/doc/current/best_practices.html#use-environment-variables-for-infrastructure-configuration

###> symfony/framework-bundle ###
APP_ENV=prod
APP_SECRET=
###< symfony/framework-bundle ###

###> doctrine/doctrine-bundle ###
# Format described at https://www.doctrine-project.org/projects/doctrine-dbal/en/latest/reference/configuration.html#connecting-using-a-url
# IMPORTANT: You MUST configure your server version, either here or in config/packages/doctrine.yaml
#
# DATABASE_URL="sqlite:///%kernel.project_dir%/var/data_%kernel.environment%.db"
# DATABASE_URL="mysql://app:!ChangeMe!@127.0.0.1:3306/app?serverVersion=8.0.32&charset=utf8mb4"
# DATABASE_URL="mysql://app:!ChangeMe!@127.0.0.1:3306/app?serverVersion=10.11.2-MariaDB&charset=utf8mb4"
DATABASE_URL="postgresql://symfony_user:ChangeMeInProd!@db:5432/app_db?serverVersion=16&charset=utf8"
###< doctrine/doctrine-bundle ###

###> symfony/messenger ###
# Choose one of the transports below
# MESSENGER_TRANSPORT_DSN=amqp://guest:guest@localhost:5672/%2f/messages
# MESSENGER_TRANSPORT_DSN=redis://localhost:6379/messages
MESSENGER_TRANSPORT_DSN=doctrine://default?auto_setup=0
###< symfony/messenger ###

###> symfony/mailer ###
MAILER_DSN='smtp://mailhog:1025'
###< symfony/mailer ###

###> nelmio/cors-bundle ###
CORS_ALLOW_ORIGIN='^https?://(localhost|127\.0\.0\.1)(:[0-9]+)?$'
###< nelmio/cors-bundle ###

VITE_LOAD=0
REDIS_DSN="redis://redis:6379"
REAL_MAIL=0
PATH_URL=https://esyweb.local

DEV_URL=https://240fba7426df.ngrok-free.app
VAPID_PK=DsOg7jToRSD-VpNSV1Gt3YAhSwz4l-nqeu7yFvzbSxg
VAPID_PC=BKz0kdcsG6kk9KxciPpkfP8kEDAd408inZecij5kBDbQ1ZGZSNwS4KZ8FerC28LFXvgSqpDXtor3ePo0zBCdNqo

CLOUDFLARE_ZONE_ID=
CLOUDFLARE_API_TOKEN=-h
###> google/apiclient ###
GOOGLE_API_KEY=
GOOGLE_CLIENT_ID=
GOOGLE_CLIENT_SECRET=
GOOGLE_AUTH_CONFIG=%kernel.project_dir%/google.json
GOOGLE_APPLICATION_CREDENTIALS=%kernel.project_dir%/google.json
###< google/apiclient ###

###> sentry/sentry-symfony ###
SENTRY_DSN="https://5c3a5a5e27365d3db5ca866129ff7600@sentry.esy-web.dev/23"
###< sentry/sentry-symfony ###
DEFAULT_URI=https://esyweb.local
KEYCLOAK_AUTH_SERVER_URL=https://auth.esy-web.dev
KEYCLOAK_REALM=master
KEYCLOAK_CLIENT_ID=ludikevent
KEYCLOAK_CLIENT_SECRET=FA7ue4h6rKL0bFZSEXxoZ4uh5LIohsyd

ESYSIGN_APIEY=pgAU116mCFmeF7WQSezHqxtZW8V1fgo31u5d2FXoaKe

NOTIFUSE_SERVER=
NOTIFUSE_EMAIL=
NOTIFUSE_ACCOUNT=
NOTIFUSE_LIST=

STRIPE_PK=pk_test_51SUA22173W4aeFB1nO6oFfDZ12HOTffDKtCshhZ8rkUg6kUO2ZaQC0tK72rhE79Tr8treeHX9KMcZtvcQZ0X8VSm00Q6GQ365V
STRIPE_SK=sk_test_51SUA22173W4aeFB16EB2LxGI0hNvNJzFshDI98zRImWBIhSfzqOGAz5TlPxSpUWbj3x4COm6kmSsaal9FpQR1A7M0022DvjbbR
STRIPE_WEBHOOKS_SECRET=

SIGN_URL=https://00ca-212-114-31-239.ngrok-free.app
STRIPE_BASEURL=https://00ca-212-114-31-239.ngrok-free.app
CONTRAT_BASEURL=https://esyweb.local

MINIO_S3_URL=
MINIO_S3_CLIENT_ID=
MINIO_S3_CLIENT_SECRET=
MINIO_S3_CLIENT_BUCKET=

ESY_SEARCH_KEY=b09d9a708b427d495c39fe6e8fc5361fe33fee57a0435f3e1bf3ed8155f2a277

###> stripe/stripe-php ###
STRIPE_SECRET_KEY=sk_test_***
###< stripe/stripe-php ###
INTRANET_LOCK=true
TVA_ENABLED=false
MAINTENANCE_ENABLED=false
UMAMI_USER=api
UMAMI_PASSWORD=Analytics_8962@
CLOUDFLARE_DEPLOY=zG2jXpdDqlgZPSz7WwZSalWsEtn7-cQiNyrqaxts
NOTIFUSE_ROOT_EMAIL="admin@example.com"
NOTIFUSE_SECRET_KEY="your-secret-key-here"

###> discord-webhook ###
DISCORD_WEBHOOK_URL=https://discord.com/api/webhooks/1470686647631745039/E_jmOZ_L10ImHuSbcPQi-NpMMnRvngRGHtHXZDPQ2uv563D7GnoJST4wvvPB0jghb9sZ
###< discord-webhook ###
